- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

# D:/Basile/VisualCppProjects/hydroMEX3/hydroMEX3/joystick/joystick_PC.cpp File Reference

`#include "joystick_PC.h"`
`#include "stdafx.h"`
`#include <windows.h>`
`#include <mmsystem.h>`

Include dependency graph for joystick_PC.cpp:

Go to the source code of this file.

## Functions
int | joystick_init ()
| Initializes joystick stuff.
void | joystick_getXYZR (float *X, float *Y, float *Z, float *R, bool doX, bool doY, bool doZ, bool doR)
| Get joystick position under MS Windows.
void | joystick_close ()
| Close joystick under MS Windoze.
## Variables
JOYINFOEX | ActualPos
DWORD | dwBoutons
UINT | uMax [2]
UINT | uMin [2]
UINT | uPoolPeriod
JOYCAPS | InfosCaps
BOOL | bStop
POINT | Curseur

## Detailed Description

Author:
  basile.graf@epfl.ch

This file contains functions related to the joystick under MS Windoze

Definition in file joystick_PC.cpp.

## Function Documentation

void joystick_close | ( |  | ) |

| Close joystick under MS Windoze. No need to close anything under Windows => this function does nothing... Definition at line 89 of file joystick_PC.cpp. Referenced by draw_graphics_kill().

void joystick_getXYZR | ( | float * | X,
|  | float * | Y,
|  | float * | Z,
|  | float * | R,
|  | bool | doX,
|  | bool | doY,
|  | bool | doZ,
|  | bool | doR
| ) |

  | Get joystick position under MS Windows. Get the joystick positions for the axes specified. Values should be between -1.0 and 1.0 Parameters:
  | *X | pointer to the X axis variable
  | *Y | pointer to the Y axis variable
  | *Z | pointer to the Z axis variable
  | *R | pointer to the R axis variable
  | doX | modify X value only if true
  | doY | modify Y value only if true
  | doZ | modify Z value only if true
  | doR | modify R value only if true
Definition at line 68 of file joystick_PC.cpp. References ActualPos, and f(). Referenced by DrawGLScene().

int joystick_init | ( |  | ) |

| Initializes joystick stuff. Use Windows API to initialize joystick (if any connected) Definition at line 36 of file joystick_PC.cpp. References ActualPos, dwBoutons, InfosCaps, and uPoolPeriod. Referenced by draw_graphics_init().

## Variable Documentation

JOYINFOEX ActualPos

| Definition at line 27 of file joystick_PC.cpp. Referenced by joystick_getXYZR(), and joystick_init().

BOOL bStop

| Definition at line 32 of file joystick_PC.cpp.

POINT Curseur

| Definition at line 33 of file joystick_PC.cpp.

DWORD dwBoutons

| Definition at line 28 of file joystick_PC.cpp. Referenced by joystick_init().

JOYCAPS InfosCaps

| Definition at line 31 of file joystick_PC.cpp. Referenced by joystick_init().

UINT uMax[2]

| Definition at line 29 of file joystick_PC.cpp.

UINT uMin[2]

| Definition at line 29 of file joystick_PC.cpp.

UINT uPoolPeriod

| Definition at line 30 of file joystick_PC.cpp. Referenced by joystick_init().